Loading...
Searching...
No Matches
BALL::PreferencesObject Class Referenceabstract

`#include <BALL/CONCEPT/preferencesObject.h>`

Inheritance diagram for BALL::PreferencesObject:

## Public Member Functions

| PreferencesObject ()
virtual | ~PreferencesObject ()
virtual bool | getValue (String &) const =0
| Overload this in derived classes!
virtual bool | setValue (const String &)=0
| Overload this in derived classes!

## Detailed Description

Base class for objects that can store settings in an INIFile. To support storing of a classes' state to an INIFile, derive from this class and implement the getValue/setValue-methods.

Note that a more sophisticated and simpler to use scheme for storing state that is accessible through GUI elements, e.g., LineEdits, already exists in libVIEW. Use this class if you want/need to be independent of the view functionality, or if the elements supported by VIEW::PreferencesEntry do not suffice.

Make sure to name all derived objects, by calling setObjectName() Otherwise (re-)storing the values wont work.

Definition at line 25 of file preferencesObject.h.

## Constructor & Destructor Documentation

## PreferencesObject()

BALL::PreferencesObject::PreferencesObject | ( |  | ) |

inline

Definition at line 31 of file preferencesObject.h.

## ~PreferencesObject()

virtual BALL::PreferencesObject::~PreferencesObject | ( |  | ) |

inline virtual

Definition at line 34 of file preferencesObject.h.

## Member Function Documentation

## getValue()

virtual bool BALL::PreferencesObject::getValue | ( | String & |  | ) | const

pure virtual

Overload this in derived classes!

## setValue()

virtual bool BALL::PreferencesObject::setValue | ( | const String & |  | ) |

pure virtual

Overload this in derived classes!